Name: cpl
Version: 5.3.1
Release: 1%{?dist}
Summary: ESO library for automated astronomical data-reduction tasks

Group: Development/Libraries
License: GPLv2+
URL: http://www.eso.org/observing/cpl
Source0: ftp://ftp.eso.org/pub/cpl/%{name}-%{version}.tar.gz
# Informed upstream 2008-12-18
Patch0: cpl-cfitsiodyn.patch
Patch1: cpl-wcslibdyn.patch

BuildRequires: cfitsio-devel wcslib-devel >= 4.7

%description
The Common Pipeline Library (CPL) comprises a set of ISO-C libraries 
that provide a comprehensive, efficient and robust software toolkit. 
It forms a basis for the creation of automated astronomical data-reduction 
tasks (known as "pipelines") for ESO (European Southern Observatory) 
instruments. The CPL was developed to standardize the way 
VLT (Very Large Telescope) instrument pipelines are built, 
to shorten their development cycle and to ease their maintenance. 

%package devel
Summary: Libraries, includes, etc. used to develop an application with %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
These are the header files and libraries needed to develop a %{name}
application

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --disable-static
# http://fedoraproject.org/wiki/PackagingGuidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING NEWS
%{_libdir}/*so.*

%files devel
%defattr(-,root,root,-)
%doc README
%{_libdir}/*.so
%{_includedir}/*
%exclude %{_libdir}/*.la

%changelog
* Wed Aug 24 2011 Sergio Pascual <sergiopr at fedoraproject.org> - 5.3.1-1
- New upstream source

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 10 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 5.2.0-4
- Rebuilt to match new wcslib 4.6.3

* Wed Nov 10 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 5.2.0-3
- Rebuilt to match new wcslib 4.5.6

* Fri May 21 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 5.2.0-2
- New upstream source

* Wed Mar 10 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 5.0.1-3
- Rebuilt to match new cfitsio 3.240

* Thu Nov 03 2009 Sergio Pascual <sergiopr at fedoraproject.org> - 5.0.1-2
- Rebuilt for cfitsio-3.210-2

* Wed Oct 28 2009 Sergio Pascual <sergiopr at fedoraproject.org> - 5.0.1-1
- New upstream source

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 08 2009 Sergio Pascual <sergiopr at fedoraproject.org> 4.2.0-3
- Enabled wcslib support

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Sergio Pascual <sergiopr at fedoraproject.org> 4.2.0-1
- New upstream source

* Sun Apr 06 2008 Sergio Pascual <sergiopr at fedoraproject.org> 4.1.0-1
- New upstream source

* Sat Feb 09 2008 Sergio Pascual <sergiopr at fedoraproject.org> 4.0.1-2
- Updated upstream sources.
- Fixing multilib bug (bz#340941)

* Tue Oct 09 2007 Sergio Pascual <sergiopr at fedoraproject.org> 3.1-2
- Updated qfits patch to build in 64 bits systems

* Tue Sep 25 2007 Sergio Pascual <sergiopr at fedoraproject.org> 3.1-1
- Minor changes

* Thu Sep 13 2007 Sergio Pascual <sergiopr at fedoraproject.org> 3.1-0.3
- Updated license tag

* Thu May 03 2007 Sergio Pascual <sergiopr at fedoraproject.org> 3.1-0.2
- Added dir for recipes.

* Thu Apr 26 2007 Sergio Pascual <sergiopr at fedoraproject.org> 3.1-0.1
- Initial spec file.
